package com.wtkj.service.impl;

import com.wtkj.entity.FileRead;
import com.wtkj.mapper.FileReadMapper;
import com.wtkj.service.IFileReadService;
import lombok.AllArgsConstructor;
import org.springblade.core.mp.base.BaseServiceImpl;
import org.springblade.core.secure.utils.AuthUtil;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Set;

/**
 * @author Blizzard
 * @create at 2023-09-15 11:15
 * @describe
 */
@Service
@AllArgsConstructor
public class FileReadServiceImpl extends BaseServiceImpl<FileReadMapper, FileRead> implements IFileReadService {
	@Override
	public boolean readFile(FileRead read) {
		read.setUserId(AuthUtil.getUserId());
		return save(read);
	}

	@Override
	public List<Long> getReadUser(Long fileId) {
		return baseMapper.getReadUser(fileId);
	}

	@Override
	public List<FileRead> getByFileIds(Set<Long> fileIds) {
		return baseMapper.selectByFileIds(fileIds);
	}
}
